mono-xmltool(Mono 1.0)

NAME
mono-xmltool - Mono XML validation and transformation tool.

SYNOPSIS

mono-xmltool --validate [*.rng | *.rnc | *.nvdl | *.xsd] [instances]

mono-xmltool --validate-rng relax-ng-grammar-xml [instances]

mono-xmltool --validate-rnc relax-ng-compact-grammar-file [instances]

mono-xmltool --validate-nvdl nvdl-script-xml [instances]

mono-xmltool --validate-xsd xml-schema [instances]

mono-xmltool --transform stylesheet instance-xml

mono-xmltool --prettyprint [source [result]]

DESCRIPTION
mono-xmltool is a command line front end for various functions available in the Mono XML class libraries. It currently it offers validation with various different kinds of schemas, xslt transformations and pretty printing.

XML VALIDATION
mono-xmltool can validate a given set of XML files (the instances parameter) using the given schema file. Currently supported schema files include Relax NG (*.rng), Compact Relax NG (*.rnc), Namespace-based Validation Dispatching Language (*.nvdl) and XML Schema (*.xsd).

If invoked with the --validate argument, Mono will use the filename extension to guess the kind of validation required. The --validate-xxx flags would force a specific kind of validation.

The following lists the flags and the actual class that implements them in Mono:

--validate-rng

    Commons.Xml.Relaxng.RelaxNgPattern as the schema, and Commons.Xml.Relaxng.RelaxngValidatingReader validator.

--validate-rnc
    Commons.Xml.Relaxng.RncParser as the schema, and Commons.Xml.Relaxng.RelaxngValidatingReader validator.

--validate-nvdl

    Commons.Xml.Nvdl as the schema and Commons.Xml.NvdlValidatingReader validator.

--validate-xsd
    System.Xml.Schema.XmlSchema as the schema and uses System.Xml.XmlValidatingReader as the validator.

TRANSFORMATIONS
This does an XSLT transformation. The stylesheet must be an XSLT file, the instance-xml is the document to be processed. Output it sent to the standard output.

PRETTY PRINTING
Produces a pretty-print rendering of the source file. If it is not specified it reads the standard input. If result is not specified, the output is sent to the standard output.

MAILING LISTS
Mailing lists are listed at the http://www.mono-project.com/Mailing_Lists

WEB SITE
http://www.mono-project.com

SEE ALSO
mono(1),mcs(1).